classification
Title: Update the devguide to 3.5
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, ezio.melotti, matrixise, python-dev, terry.reedy, willingc
Priority: normal Keywords: patch

Created on 2015-11-23 12:48 by matrixise, last changed 2016-01-21 01:27 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue25704.patch matrixise, 2015-11-23 12:49
Messages (8)
msg255151 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2015-11-23 12:49
In this patch, I have updated the version of Python, from 3.4 to 3.5.
And added Ned Deily in the Release Manager for 3.6.
msg255179 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-11-23 15:50
I don't think most of the version numbers are very important here and I wouldn't change them unless there is a valid reason.

> -3.4 and 3.5, first fix it in ``3.4`` and then merge ``3.4`` into ``default``
> -(which holds the future 3.5).
> +3.5 and 3.6, first fix it in ``3.5`` and then merge ``3.6`` into ``default``
> +(which holds the future 3.6).

This change looks wrong to me. In the original text, 3.4 and default are branch names. There won't be a branch named 3.6 until late 2016.

> -For versions 3.4 and before, this was conventionally done when the final
> -release was cut (for example, 3.4.0 final).
> +For versions 3.5 and before, this was conventionally done when the final
> +release was cut (for example, 3.5.0 final).

This also looks wrong to me.

I'm +1 to commit the following changes in devcycle.rst:

> -There are 5 open branches right now in the Mercurial repository:
> +There are 6 open branches right now in the Mercurial repository:
 
> -- the ``default`` branch holds the future 3.5 version and descends from ``3.4``
> -  (RM: Larry Hastings)
> +- the ``default`` branch holds the future 3.6 version and descends from ``3.5``
> +  (RM: Ned Deily)
> +- the ``3.5`` branch holds bug fixes for future 3.5.x maintenance releases
> +  and descends from ``3.4`` (RM: Larry Hastings)

It might also worth to update the build-dep command in setup.rst.
msg255186 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2015-11-23 16:30
Hi Berker,

Thank you for your review,

> I don't think most of the version numbers are very important here and I wouldn't change them unless there is a valid reason.
My first opinion when I have read the documentation was "but this doc is
out of date".
It's my reason, for me, it's valid.

In fact, that was not for the pleasure to change some numbers, but to
reflect the reality.

> 
> > -3.4 and 3.5, first fix it in ``3.4`` and then merge ``3.4`` into ``default``
> > -(which holds the future 3.5).
> > +3.5 and 3.6, first fix it in ``3.5`` and then merge ``3.6`` into ``default``
> > +(which holds the future 3.6).
> 
> This change looks wrong to me. In the original text, 3.4 and default
> are branch names. There won't be a branch named 3.6 until late 2016.
What do you suggest in this case? 
> 
> > -For versions 3.4 and before, this was conventionally done when the final
> > -release was cut (for example, 3.4.0 final).
> > +For versions 3.5 and before, this was conventionally done when the final
> > +release was cut (for example, 3.5.0 final).
> 
> This also looks wrong to me.
Ok
> 
> I'm +1 to commit the following changes in devcycle.rst:
> 
> > -There are 5 open branches right now in the Mercurial repository:
> > +There are 6 open branches right now in the Mercurial repository:
>  
> > -- the ``default`` branch holds the future 3.5 version and descends from ``3.4``
> > -  (RM: Larry Hastings)
> > +- the ``default`` branch holds the future 3.6 version and descends from ``3.5``
> > +  (RM: Ned Deily)
> > +- the ``3.5`` branch holds bug fixes for future 3.5.x maintenance releases
> > +  and descends from ``3.4`` (RM: Larry Hastings)
> 
> It might also worth to update the build-dep command in setup.rst.
I agree, I am going to check that

What do you suggest for this patch? Update my patch with the right
paragraphes ?

Tell me,

Thank you
msg255210 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-11-23 18:20
> My first opinion when I have read the documentation was "but this doc is out of date".

Yes, some parts of the devguide is outdated and I already gave +1 to update those parts. But most of the other changes are use 3.4 as an example so changing it to 3.5 won't make the devguide up-to-date. For example,

    +must not be broken at any point between sibling minor releases (3.5.1, etc.).
    +For both rules, only rare exceptions are accepted and **must** be discussed
    +first.

and

    -while the maintenance branch names (``2.7``, ``3.4``, etc) are mapped
    +while the maintenance branch names (``2.7``, ``3.5``, etc) are mapped

>> It might also worth to update the build-dep command in setup.rst.
> I agree, I am going to check that

You've already changed setup.rst :) But it would great if you could test "sudo apt-get build-dep python3.5" and build Python on a modern Debian/Ubuntu since I'm still on 12.04.

It's very hard to point which parts are OK in the patch without Rietveld. I'll update it myself and attach here to save both of us some time :)

Thanks!
msg255474 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-11-27 18:33
The section of committing.rst in question was updated from 3.3 and 3.4 to 3.4 and 3.5 in 414a7e2067b2 after 3.4 came out.  I think we should continue to update it.
msg257264 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-01 02:27
With rst is possible to define replacements once like:

  .. |current_branch| replace:: 3.6
  .. |prev_branch| replace:: 3.5

and use them across the devguide, however I'm afraid this won't work with code blocks.  Perhaps a new entry about updating the devguide can be added to PEP 101, and then the release manager can simply create an issue about it and let someone else take care of it (this kind of issues are good for beginners).
msg258728 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-21 01:24
New changeset 32545ee8d673 by Berker Peksag in branch 'default':
Issue #25704: Update Python version to 3.5 where appropriate
https://hg.python.org/devguide/rev/32545ee8d673
msg258729 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-21 01:27
Thanks, Stéphane! Ned applied most of your patch in f53eac8da0b8. I left "sudo apt-get build-dep python3.4" as is since python3.5 is not available in the latest LTS release of Ubuntu.
History
Date User Action Args
2016-01-21 01:27:24berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg258729

stage: patch review -> resolved
2016-01-21 01:24:23python-devsetnosy: + python-dev
messages: + msg258728
2016-01-01 02:27:10ezio.melottisettype: enhancement
messages: + msg257264
2015-11-27 18:33:33terry.reedysetnosy: + terry.reedy
messages: + msg255474
2015-11-23 18:20:50berker.peksagsetmessages: + msg255210
2015-11-23 16:30:59matrixisesetmessages: + msg255186
2015-11-23 15:51:36berker.peksagsetversions: - Python 3.6
2015-11-23 15:50:56berker.peksagsetnosy: + berker.peksag

messages: + msg255179
stage: patch review
2015-11-23 14:25:45zach.waresettitle: Update the documentation to 3.5 -> Update the devguide to 3.5
2015-11-23 12:49:46matrixisesetfiles: + issue25704.patch
keywords: + patch
messages: + msg255151
2015-11-23 12:48:24matrixisecreate